<?php
namespace Elementor;

class breadsingle extends Widget_Base {
	
	public function get_name() {
		return 'breadsingle';
	}
	
	public function get_title() {
		return 'بردکرامب';
	}
	
 public function get_icon() {
		return 'eicon eicon-product-breadcrumbs';
    }
    
    public function get_categories() {
        return [ 'farnamproduct' ];
    }

	
	protected function register_controls() {





		
		
  $this->start_controls_section(
            'farnam_product_style_2',
            [
                'label' => esc_html__( 'تنظیمات استایل و ظاهر', 'woolentor' ),
            ]
        );


		    $this->add_control(
'sepidcolor-2',
			[
				'label' => __( 'رنگ ایکون', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .bread-single-product .woocommerce-breadcrumb::before' => 'color: {{VALUE}} !important',
				],
			]
           );

		   
  $this->add_control(
'sepidcolor-5fr1',
			[
				'label' => __( 'رنگ متن', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .bread-single-product .woocommerce-breadcrumb' => 'color: {{VALUE}} !important',
				],
			]
           );

		
		  $this->add_control(
'sepidcolor-4',
			[
				'label' => __( 'رنگ لینک ها', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .bread-single-product .woocommerce-breadcrumb a' => 'color: {{VALUE}} !important',
				],
			]
           );
		   
		   	      
	
		
				
		$this->end_controls_section();
		
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
defined( 'ABSPATH' ) || exit;

global $product;


				?>
				<div class="bread-single-product">
<?php do_action( 'woocommerce_before_main_content' ); ?></div>
		<?php


	}


	
	protected function _content_template() {

    }
	
	
}